package fel.kte.pkropik.it;

public class Zvire {
    // zatím bez zapouzdření (tj. bez private)
    private int vyska = 0;
    private String jmeno = "Ještě nemá";

    public int getVyska() {
        return vyska;
    }

    public void setVyska(int vyska) throws ZapornaHodnotaVyjimka {
        if (vyska < 0) {
            // zatím takto nevhodně ošetříme na místě
            // System.out.println("Nelze záporná výška...");
            // správné ošetření výjimkou
            throw new ZapornaHodnotaVyjimka("Pokus o nastavení hodnoty: " + vyska);
        }
        else {
            this.vyska = vyska;
        }
    }

    public String getJmeno() {
        return jmeno;
    }

    public void setJmeno(String noveJmeno) {
        this.jmeno = noveJmeno;
    }
}
